Name:           perl-PDF-Haru
Version:        1.00
Release:        2%{?dist}
Summary:        Perl interface to Haru Free PDF Library

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/PDF-Haru/
Source0:        http://search.cpan.org/CPAN/authors/id/B/BU/BUTILW/PDF-Haru-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  perl(Exporter)
BuildRequires:  perl(AutoLoader)
Buildrequires:  perl(XSLoader)
Buildrequires:  perl(constant)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  libharu-devel
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Perl interface to Haru Free PDF Library. It supports the following features:

   1. Generating PDF files with lines, text, images.
   2. Outline, text annotation, link annotation.
   3. Compressing document with deflate-decode.
   4. Embedding PNG, Jpeg images.
   5. Embedding Type1 font and TrueType font.
   6. Creating encrypted PDF files.
   7. Using various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
   8. Supporting CJK fonts and encodings.

%prep
%setup -q -n PDF-Haru-%{version}
chmod -x examples/*.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README examples/
%{perl_vendorarch}/PDF/
%{perl_vendorarch}/auto/PDF/
%{_mandir}/man3/*.3*


%changelog
* Fri Nov 19 2010 Robin Lee <cheeselee@fedoraproject.org> - 1.00-2
- BR: perl(Exporter), perl(AutoLoader), perl(XSLoader) and perl(constant) added
- Removed executable bits from examples/*.pl scripts

* Sun Nov  7 2010 Robin Lee <cheeselee@fedoraproject.org> - 1.00-1
- Initial packaging
